package mhp.oee.po.gen;

import java.util.Date;

public class ResourcePlcInfoPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc_info.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc_info.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc_info.RESOURCE_BO
     *
     * @mbggenerated
     */
    private String resourceBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc_info.PLC_IP
     *
     * @mbggenerated
     */
    private String plcIp;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc_info.PLC_PORT
     *
     * @mbggenerated
     */
    private String plcPort;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc_info.PLC_ACCESS_TYPE
     *
     * @mbggenerated
     */
    private String plcAccessType;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc_info.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc_info.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc_info.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc_info.PC_IP
     *
     * @mbggenerated
     */
    private String pcIp;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc_info.HANDLE
     *
     * @return the value of resource_plc_info.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc_info.HANDLE
     *
     * @param handle the value for resource_plc_info.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc_info.SITE
     *
     * @return the value of resource_plc_info.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc_info.SITE
     *
     * @param site the value for resource_plc_info.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc_info.RESOURCE_BO
     *
     * @return the value of resource_plc_info.RESOURCE_BO
     *
     * @mbggenerated
     */
    public String getResourceBo() {
        return resourceBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc_info.RESOURCE_BO
     *
     * @param resourceBo the value for resource_plc_info.RESOURCE_BO
     *
     * @mbggenerated
     */
    public void setResourceBo(String resourceBo) {
        this.resourceBo = resourceBo == null ? null : resourceBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc_info.PLC_IP
     *
     * @return the value of resource_plc_info.PLC_IP
     *
     * @mbggenerated
     */
    public String getPlcIp() {
        return plcIp;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc_info.PLC_IP
     *
     * @param plcIp the value for resource_plc_info.PLC_IP
     *
     * @mbggenerated
     */
    public void setPlcIp(String plcIp) {
        this.plcIp = plcIp == null ? null : plcIp.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc_info.PLC_PORT
     *
     * @return the value of resource_plc_info.PLC_PORT
     *
     * @mbggenerated
     */
    public String getPlcPort() {
        return plcPort;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc_info.PLC_PORT
     *
     * @param plcPort the value for resource_plc_info.PLC_PORT
     *
     * @mbggenerated
     */
    public void setPlcPort(String plcPort) {
        this.plcPort = plcPort == null ? null : plcPort.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc_info.PLC_ACCESS_TYPE
     *
     * @return the value of resource_plc_info.PLC_ACCESS_TYPE
     *
     * @mbggenerated
     */
    public String getPlcAccessType() {
        return plcAccessType;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc_info.PLC_ACCESS_TYPE
     *
     * @param plcAccessType the value for resource_plc_info.PLC_ACCESS_TYPE
     *
     * @mbggenerated
     */
    public void setPlcAccessType(String plcAccessType) {
        this.plcAccessType = plcAccessType == null ? null : plcAccessType.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc_info.CREATED_DATE_TIME
     *
     * @return the value of resource_plc_info.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc_info.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for resource_plc_info.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc_info.MODIFIED_DATE_TIME
     *
     * @return the value of resource_plc_info.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc_info.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for resource_plc_info.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc_info.MODIFIED_USER
     *
     * @return the value of resource_plc_info.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc_info.MODIFIED_USER
     *
     * @param modifiedUser the value for resource_plc_info.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc_info.PC_IP
     *
     * @return the value of resource_plc_info.PC_IP
     *
     * @mbggenerated
     */
    public String getPcIp() {
        return pcIp;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc_info.PC_IP
     *
     * @param pcIp the value for resource_plc_info.PC_IP
     *
     * @mbggenerated
     */
    public void setPcIp(String pcIp) {
        this.pcIp = pcIp == null ? null : pcIp.trim();
    }
}